OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::Packets Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::universal_midi_packets::Packets Class Reference

`#include <juce_UMPackets.h>`

## Public Member Functions
void | add (const View &v)
void | add (const PacketX1 &p)
void | add (const PacketX2 &p)
void | add (const PacketX3 &p)
void | add (const PacketX4 &p)
void | reserve (size_t numWords)
void | clear ()
Iterator | cbegin () const noexcept
Iterator | begin () const noexcept
Iterator | cend () const noexcept
Iterator | end () const noexcept
const uint32_t * | data () const noexcept
size_t | size () const noexcept

## Detailed Description

Holds a collection of Universal MIDI Packets.

Unlike MidiBuffer, this collection does not store any additional information (e.g. timestamps) alongside the raw messages.

If timestamps are required, these can be added to the container in UMP format, as Jitter Reduction Utility messages.

Definition at line 39 of file juce_UMPackets.h.

## Member Function Documentation

## ◆ add() [1/5]

void juce::universal_midi_packets::Packets::add | ( | const PacketX1 & | p | ) |
| inline

Definition at line 51 of file juce_UMPackets.h.

## ◆ add() [2/5]

void juce::universal_midi_packets::Packets::add | ( | const PacketX2 & | p | ) |
| inline

Definition at line 52 of file juce_UMPackets.h.

## ◆ add() [3/5]

void juce::universal_midi_packets::Packets::add | ( | const PacketX3 & | p | ) |
| inline

Definition at line 53 of file juce_UMPackets.h.

## ◆ add() [4/5]

void juce::universal_midi_packets::Packets::add | ( | const PacketX4 & | p | ) |
| inline

Definition at line 54 of file juce_UMPackets.h.

## ◆ add() [5/5]

void juce::universal_midi_packets::Packets::add | ( | const View & | v | ) |
| inline

Adds a single packet to the collection.

The View must be valid for this to work. If the view points to a malformed message, or if the view points to a region too short for the contained message, this call will result in undefined behaviour.

Definition at line 49 of file juce_UMPackets.h.

## ◆ begin()

Iterator juce::universal_midi_packets::Packets::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 64 of file juce_UMPackets.h.

## ◆ cbegin()

Iterator juce::universal_midi_packets::Packets::cbegin | ( |  | ) | const
| inlinenoexcept

Gets an iterator pointing to the first packet in this collection.

Definition at line 63 of file juce_UMPackets.h.

## ◆ cend()

Iterator juce::universal_midi_packets::Packets::cend | ( |  | ) | const
| inlinenoexcept

Gets an iterator pointing one-past the last packet in this collection.

Definition at line 67 of file juce_UMPackets.h.

## ◆ clear()

void juce::universal_midi_packets::Packets::clear | ( |  | ) |
| inline

Removes all previously-added packets from this collection.

Definition at line 60 of file juce_UMPackets.h.

## ◆ data()

const uint32_t * juce::universal_midi_packets::Packets::data | ( |  | ) | const
| inlinenoexcept

Gets a pointer to the contents of the collection as a range of raw 32-bit words.

Definition at line 71 of file juce_UMPackets.h.

Referenced by cbegin(), and cend().

## ◆ end()

Iterator juce::universal_midi_packets::Packets::end | ( |  | ) | const
| inlinenoexcept

Definition at line 68 of file juce_UMPackets.h.

## ◆ reserve()

void juce::universal_midi_packets::Packets::reserve | ( | size_t | numWords | ) |
| inline

Pre-allocates space for at least `numWords` 32-bit words in this collection.

Definition at line 57 of file juce_UMPackets.h.

## ◆ size()

size_t juce::universal_midi_packets::Packets::size | ( |  | ) | const
| inlinenoexcept

Returns the number of uint32_t words in storage.

Note that this is likely to be larger than the number of packets currently being stored, as some packets span multiple words.

Definition at line 78 of file juce_UMPackets.h.

Referenced by cbegin(), and cend().

The documentation for this class was generated from the following file:

- juce_UMPackets.h